program Mask
  !! Paul Sava (paul@sep.stanford.edu)
  !! 05/11/00

  use sep
  use oc_file_mod
  use oc_filealgebra_mod

  implicit none
  character(len=128) :: ti_,k_,to_, name
  integer            :: maxmem

  call sep_init()
  call from_param("maxmem",maxmem,1024000)

  ti_ = "filein"; call auxinout(ti_)
  k_  = "mask";   call auxinout(k_)
  call sep_close()

  name="masked.H" ; to_ = oc_clone( .true., ti_,name, maxmem)
  call oc_product(to_,(/ti_,k_/),maxmem)

  stop
end program Mask









